> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Solicita relatório do inventário Satelital

> Faz a solicitação do relatório do inventário satelital



## OpenAPI

````yaml POST /satellite/devices/report
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /satellite/devices/report:
    servers:
      - url: >-
          https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
        description: Solicita o reelatório de um inventário Satelital
    post:
      description: Faz a solicitação do relatório do inventário satelital
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: |-
            Define o formato da requisição.

            🔹 **Valor padrão:**
            ```
            application/json
            ```
            📌 **Dica:** Copie e cole esse valor no campo Content-Type.
          schema:
            type: string
            example: application/json
            default: application/json
        - name: client_id
          in: header
          required: true
          schema:
            type: string
            description: Identificador do client id do sensedia
            example: '123'
        - name: access_token
          in: header
          required: true
          schema:
            type: string
            description: Token gerado
            example: Basic MzQ4OSozNDMyLTMOMzItMTIz
      requestBody:
        description: Informações necessárias para fazer a solicitação do relatório.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  example: 0
                customerId:
                  type: integer
                  example: 0
                deviceId:
                  type: string
                  example: string
                activationDate:
                  type: string
                  example: '2025-08-11'
                status:
                  type: string
                  example: ACTIVE
                serialNumber:
                  type: string
                  example: string
                showContracted:
                  type: boolean
                  example: false
                stock:
                  type: boolean
                  example: true
                consumptionGte:
                  type: integer
                  example: 0
                consumptionLte:
                  type: integer
                  example: 0
                page:
                  type: integer
                  example: 0
                pageSize:
                  type: integer
                  example: 20
              required:
                - client_id
                - client_secret
      responses:
        '200':
          description: Request report created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  OK:
                    type: string
                    example:
                      id: 77614
                      message: Request report created successfully!
              example:
                id: 77614
                message: Request report created successfully!
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                error: Requisição mal formada.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: O acesso ao recurso foi negado.
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: URI de API/Recurso inexiste para processamento.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                errors: Parameter not found

````